Subject: Re: Need to change old commit (and regenerate tree)

From: Andreas Schwab <[email-masked]>
Date: Fri, 21 May 2010 00:09:19 +0200

Antriksh Pany <[email-masked]> writes:

> Instead of (what I initially expected):
>
> A--------o--------o--------o--------o(old B)--------o--------o--------o(old C)
>
> A2--------o--------o--------o--------B--------o--------o--------C
>
>
> So what I am missing here? Aren't the new commits B~1, B~2, B~3
> identical to C~4, C~5, C~6 (respectively) in all ways so as to have
> gotten them the same SHA1 and hence appear as what I expected them to
> appear?

No, they have a different commit time, which is also part of the hash.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."